Skip to main content
GET
/
api
/
governance
/
model-configs
Error
A valid request URL is required to generate request examples
{
  "model_configs": [
    {
      "id": "<string>",
      "model_name": "<string>",
      "provider": "<string>",
      "scope": "global",
      "scope_id": "<string>",
      "scope_name": "<string>",
      "calendar_aligned": false,
      "budgets": [
        {
          "id": "<string>",
          "max_limit": 123,
          "reset_duration": "<string>",
          "last_reset": "2023-11-07T05:31:56Z",
          "current_usage": 123,
          "config_hash": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "calendar_aligned": false,
          "team_id": "<string>",
          "virtual_key_id": "<string>",
          "provider_config_id": 123
        }
      ],
      "budget": {
        "id": "<string>",
        "max_limit": 123,
        "reset_duration": "<string>",
        "last_reset": "2023-11-07T05:31:56Z",
        "current_usage": 123,
        "config_hash": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "calendar_aligned": false,
        "team_id": "<string>",
        "virtual_key_id": "<string>",
        "provider_config_id": 123
      },
      "rate_limit": {
        "id": "<string>",
        "token_current_usage": 123,
        "token_last_reset": "2023-11-07T05:31:56Z",
        "request_current_usage": 123,
        "request_last_reset": "2023-11-07T05:31:56Z",
        "config_hash": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "token_max_limit": 123,
        "token_reset_duration": "<string>",
        "request_max_limit": 123,
        "request_reset_duration": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123
}

Authorizations

Authorization
string
header
required

Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>. Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.

Query Parameters

limit
integer

Maximum number of results to return

Required range: x >= 1
offset
integer

Number of results to skip (for pagination)

Required range: x >= 0

Case-insensitive filter by model name

scope
enum<string>

Filter by scope (global, virtual_key, or user; user is Enterprise only)

Available options:
global,
virtual_key,
user
provider
string

Filter by provider name

from_memory
boolean
default:false

If true, returns data from in-memory cache (faster, may lag DB by one poll cycle)

Response

Successful response

Response containing list of model configs

model_configs
object[]
total_count
integer

Total number of model configs matching the filter (used for pagination)